import request from "./index";
import qs from "qs";

//获取模块列表
export const getIndexModelList = () => {
    return request({
        url: "/admin/api-i/index/getIndexModelList",
        method: "POST",
    });
};

//获取应用类型
export const getIndexModelTypeList = () => {
    return request({
        url: "/admin/api-i/index/getIndexModelTypeList",
        method: "POST",
    });
};

//通过类型筛选产品
export const getProductByType = (data) => {
    return request({
        url: "/admin/api-p/product/getProductByType",
        method: "POST",
        data
    });
};

//添加模块列表
export const saveIndexModel = (data) => {
    return request({
        url: "/admin/api-i/index/saveIndexModel",
        method: "POST",
        data
    });
};


//设置模块隐藏显示
export const setIndexIsShow = (data) => {
    return request({
        url: "/admin/api-i/index/setIndexIsShow",
        method: "POST",
        data
    });
};

//获取模块详情
export const getIndexModelInfo = (data) => {
    return request({
        url: "/admin/api-i/index/getIndexModelInfo",
        method: "POST",
        data
    });
};

//删除模块
export const deleteIndexModel = (data) => {
    return request({
        url: "/admin/api-i/index/deleteIndexModel",
        method: "POST",
        data
    });
};

//通过模块筛选产品
export const getProductListByModel = (data) => {
    return request({
        url: "/admin/api-i/index/getProductListByModel",
        method: "POST",
        data
    });
};


//删除产品
export const deleteProduct = (data) => {
    return request({
        url: "/admin/api-i/index/deleteProduct",
        method: "POST",
        data
    });
};

//切换产品显示隐藏
export const setProductIsShow = (data) => {
    return request({
        url: "/admin/api-i/index/setProductIsShow",
        method: "POST",
        data
    });
};

//切换产品在首页显示隐藏
export const setProductIndexShow = (data) => {
    return request({
        url: "/admin/api-i/index/setProductIndexShow",
        method: "POST",
        data
    });
};

//获取首页轮播图
export const getIndexPicList = () => {
    return request({
        url: "/admin/api-i/index/getIndexPicList",
        method: "POST",
    });
};


//设置轮播图是否显示
export const setIndexPicIsShow = (data) => {
    return request({
        url: "/admin/api-i/index/setIndexPicIsShow",
        method: "POST",
        data
    });
};

//删除首页轮播图
export const deleteIndexPic = (data) => {
    return request({
        url: "/admin/api-i/index/deleteIndexPic",
        method: "POST",
        data
    });
};

//保存首页轮播图
export const saveIndexPic = (data) => {
    return request({
        url: "/admin/api-i/index/saveIndexPic",
        method: "POST",
        data
    });
};

//保存安装包
export const saveProductPackage = (data) => {
    return request({
        url: "/admin/api-i/index/saveProductPackage",
        method: "POST",
        data
    });
};